This is a mirror of official site:

Microsoft .NET Framework Undersized Glyph Buffer Remote Code Execution Vulnerability

| Tuesday, August 7, 2012

CVSS Score
7.5, (AV:N/AC:L/Au:N/C:P/I:P/A:P)

Affected Vendors

Affected Products

Vulnerability Details

This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of the .NET Framework. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within Microsoft .NET handling of XAML Browser Applications (XBAP) graphics components. It is possible to cause an undersized allocation for a buffer which is populated with user-supplied glyph data, resulting in memory corruption which can be leveraged to remotely execute code.

Vendor Response
Microsoft has issued an update to correct this vulnerability. More details can be found at: 

Disclosure Timeline
2011-12-07 - Vulnerability reported to vendor
2012-08-03 - Coordinated public release of advisory

QR: Inline image 1

Posted via email from Jasper-net